## kodi-pvr-njoy 1.10.7%2Bgit20150717

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	ln -s /usr/include/cec-platform src/platform
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi -DUSE_LTO=1

override_dh_installdocs:
	dh_installdocs --link-doc=kodi-pvr-njoy

override_dh_makeshlibs:
	dh_makeshlibs -n

## kodi-pvr-njoy 1.10.7+git20150717

=== CMakeLists.txt ===
project(pvr.njoy)

cmake_minimum_required(VERSION 2.6)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

enable_language(CXX)

option(PACKAGE_ZIP "Package Zip file?" OFF)

find_package(TinyXML REQUIRED)
find_package(kodi REQUIRED)
find_package(kodiplatform REQUIRED)
find_package(platform REQUIRED)

include_directories(${kodiplatform_INCLUDE_DIRS}
                    ${platform_INCLUDE_DIRS}
                    ${TINYXML_INCLUDE_DIR}
                    ${KODI_INCLUDE_DIR})

set(NJOY_SOURCES src/client.cpp
                 src/N7Xml.cpp)

set(DEPLIBS ${kodiplatform_LIBRARIES}
            ${platform_LIBRARIES}
            ${TINYXML_LIBRARIES})

build_addon(pvr.njoy NJOY DEPLIBS)

include(CPack)

=== debian/changelog ===
kodi-pvr-njoy (1.10.7+git20150717-1) unstable; urgency=medium

  * Create packaging compliant to Debian Policy

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 12 Dec 2015 20:31:53 +0100

kodi-pvr-njoy (1.9.27-1~trusty) trusty; urgency=low

  [ kodi ]
  * autogenerated dummy changelog

 -- Nobody <nobody@kodi.tv>  Sat, 01 Jun 2013 00:59:22 +0200

=== debian/control ===
Source: kodi-pvr-njoy
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Build-Depends: debhelper (>= 9.0.0), cmake, libtinyxml-dev,
               libkodiplatform-dev (>= 16.0.0), kodi-addons-dev
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/kodi-pvr/pvr.njoy.git
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/kodi-pvr-njoy.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/kodi-pvr-njoy.git


Package: kodi-pvr-njoy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: NJOY PVR Addon for Kodi
 This package contains the NJOY PVR (Personal Video Recorder) Addon for Kodi,
 the award winning free and open source software media-player and entertainment
 hub for all your digital media

## kodi-pvr-njoy 1.11.9+git20160210

=== debian/changelog ===
kodi-pvr-njoy (1.11.9+git20160210-1) unstable; urgency=medium

  * Imported Upstream version 1.11.9+git20160210
  * Bump standards version to 3.9.7
  * Switch to p8-platform from (cec-)platform
  * Extend package description (Closes: #808750)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 03 Mar 2016 14:34:28 +0100

=== debian/control ===
Source: kodi-pvr-njoy
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Build-Depends: debhelper (>= 9.0.0), cmake, libtinyxml-dev,
               libkodiplatform-dev (>= 17.0.0), kodi-addons-dev
Standards-Version: 3.9.7
Section: libs
Homepage: https://github.com/kodi-pvr/pvr.njoy.git
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/kodi-pvr-njoy.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/kodi-pvr-njoy.git


Package: kodi-pvr-njoy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: NJOY PVR Addon for Kodi
 Njoy Digital is a company that makes "Njoy Digital N7" network attached
 DVB TV tuners for Digital Cable, Terrestrial or Satellite TV
 television broadcasts compatible with XBMC's PVR frontend clients.
 .
 This package contains the NJOY PVR (Personal Video Recorder) Addon for Kodi,
 the award winning free and open source software media-player and entertainment
 hub for all your digital media.

## kodi-pvr-njoy 2.4.0%2Bgit20160518

=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,9 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@
+	dh $@ --with kodiaddon
 
 override_dh_auto_configure:
-	ln -s /usr/include/cec-platform src/platform
 	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi -DUSE_LTO=1
 
 override_dh_installdocs:

## kodi-pvr-njoy 2.4.0+git20160518

=== CMakeLists.txt ===
project(pvr.njoy)

cmake_minimum_required(VERSION 2.6)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

enable_language(CXX)

option(PACKAGE_ZIP "Package Zip file?" OFF)

find_package(TinyXML REQUIRED)
find_package(Kodi REQUIRED)
find_package(kodiplatform REQUIRED)
find_package(p8-platform REQUIRED)

include_directories(${kodiplatform_INCLUDE_DIRS}
                    ${p8-platform_INCLUDE_DIRS}
                    ${TINYXML_INCLUDE_DIR}
                    ${KODI_INCLUDE_DIR})

set(NJOY_SOURCES src/client.cpp
                 src/N7Xml.cpp)

set(DEPLIBS ${kodiplatform_LIBRARIES}
            ${p8-platform_LIBRARIES}
            ${TINYXML_LIBRARIES})

build_addon(pvr.njoy NJOY DEPLIBS)

include(CPack)

=== debian/changelog ===
kodi-pvr-njoy (2.4.0+git20160518-2) unstable; urgency=medium

  * Really depend on PVR API version of Kodi we built the addon with
  * Adapt to Kodi PVR api change - SeekTime

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 24 Dec 2016 03:51:34 +0100

kodi-pvr-njoy (2.4.0+git20160518-1) unstable; urgency=medium

  * Imported Upstream version 2.4.0+git20160518
  * Build-depend on latest libkodiplatform-dev and kodi-addons-dev
  * Build-depend on kodi-addons-dev version which has all the needed headers
    (Closes: #844969)
  * Drop hack to build with p8-platform
  * Drop unused obsoleted patch
  * Depend on PVR API version of Kodi we built the addon with
  * Bump standards version to 3.9.8

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 19 Nov 2016 08:49:49 +0100

=== debian/control ===
Source: kodi-pvr-njoy
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Section: libs
Priority: extra
Build-Depends: debhelper (>= 9.0.0),
               cmake,
               libtinyxml-dev,
               libkodiplatform-dev (>= 17.1.0),
               kodi-addons-dev (>= 17.0~beta6~)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/kodi-pvr-njoy.git
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/kodi-pvr-njoy.git
Homepage: https://github.com/kodi-pvr/pvr.njoy.git

Package: kodi-pvr-njoy
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${kodi:PVRAPI}
Description: NJOY PVR Addon for Kodi
 Njoy Digital is a company that makes "Njoy Digital N7" network attached
 DVB TV tuners for Digital Cable, Terrestrial or Satellite TV
 television broadcasts compatible with XBMC's PVR frontend clients.
 .
 This package contains the NJOY PVR (Personal Video Recorder) Addon for Kodi,
 the award winning free and open source software media-player and entertainment
 hub for all your digital media.

## kodi-pvr-njoy 3.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,9 @@
 set(NJOY_SOURCES src/client.cpp
                  src/N7Xml.cpp)
 
+set(NJOY_HEADERS src/client.h
+                 src/N7Xml.h)
+
 set(DEPLIBS ${kodiplatform_LIBRARIES}
             ${p8-platform_LIBRARIES}
             ${TINYXML_LIBRARIES})

=== debian/changelog ===
kodi-pvr-njoy (3.4.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Balint Reczey ]
  * Add basic Salsa CI configuration
  * Add debian/watch
  * New upstream version 3.4.2
  * Reresh patches
  * Bump libkodiplatform-dev and kodi-addons-dev build-dependency versions

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 21 Mar 2020 16:38:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: kodi-pvr-njoy
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Balint Reczey <balint@balintreczey.hu>
 Section: libs
-Priority: extra
+Priority: optional
 Build-Depends: debhelper (>= 9.0.0),
                cmake,
-               libtinyxml-dev,
-               libkodiplatform-dev (>= 17.1.0),
-               kodi-addons-dev (>= 17.0~beta6~)
+               kodi-addons-dev (>= 2:18~),
+               libkodiplatform-dev (>= 20180302),
+               libtinyxml-dev
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/kodi-pvr-njoy.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/kodi-pvr-njoy.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-pvr-njoy
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-pvr-njoy.git
 Homepage: https://github.com/kodi-pvr/pvr.njoy.git
 
 Package: kodi-pvr-njoy

=== debian/watch ===
version=4
https://github.com/kodi-pvr/pvr.njoy/releases /kodi-pvr/.*/archive/?(\d\S*)-[A-Za-z]*\.tar\.gz

## kodi-pvr-njoy 7.1.0%2Bds1

=== debian/changelog ===
kodi-pvr-njoy (7.1.0+ds1-1) unstable; urgency=medium

  * New upstream version 7.1.0+ds1
  * Force override libdir paths
  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:24:01 +0000

kodi-pvr-njoy (7.0.0+ds1-1) unstable; urgency=medium

  [ Vasyl Gello ]
  * New upstream version 7.0.0+ds1
    + Repack out vendored dependencies
  * d/rules:
    + Use architecture.mk for DEB_HOST_MULTIARCH
    + Enable hardening flags
  * Update d/watch
  * d/control:
    + Remove Balint Reczey from Uploaders per his wish, and add myself
    + Use dh-sequence-kodiaddon
    + Drop kodiplatform and add libjsoncpp-dev / pkg-config build-dependencies
    + Update Vcs-* for the move to 'kodi-media-center' subgroup
    + Bump Standards-Version to 4.5.1, no changes needed
    + Bump debhelper compat level to 13, use debhelper-compat and drop d/compat
  * Update d/copyright
  * Add new d/upstream/metadata

  [ Debian Janitor ]
  * Mark kodi-pvr-njoy as Multi-Arch: same.

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 20 Dec 2020 22:09:30 +0000

## kodi-pvr-njoy 7.1.0+ds1

=== debian/changelog ===
kodi-pvr-njoy (7.1.0+ds1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 25 Jun 2021 20:39:00 -0700

=== debian/control ===
Source: kodi-pvr-njoy
Priority: optional
Section: video
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: cmake,
                    dh-sequence-kodiaddon,
                    kodi-addons-dev (>= 2:19~),
                    libjsoncpp-dev,
                    libtinyxml-dev,
                    pkg-config
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-njoy
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-njoy.git
Homepage: https://kodi.tv

Package: kodi-pvr-njoy
Architecture: any
Depends: ${kodi:PVRAPI}, ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: NJOY PVR Addon for Kodi
 Njoy Digital is a company that makes "Njoy Digital N7" network attached
 DVB TV tuners for Digital Cable, Terrestrial or Satellite TV
 television broadcasts compatible with XBMC's PVR frontend clients.
 .
 This package contains the NJOY PVR (Personal Video Recorder) Addon for Kodi,
 the award winning free and open source software media-player and entertainment
 hub for all your digital media.

## kodi-pvr-njoy 19.0.0+ds1

=== debian/changelog ===
kodi-pvr-njoy (19.0.0+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.0+ds1
  * Bump standard version
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:14:01 +0000

kodi-pvr-njoy (7.1.1+ds1-1) unstable; urgency=medium

  * New upstream version 7.1.1+ds1
  * Fix github ref
  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 15 Aug 2021 21:32:43 +0000

=== debian/control ===
Source: kodi-pvr-njoy
Priority: optional
Section: video
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: dh-sequence-kodiaddon,
 cmake,
 kodi-addons-dev (>= 2:19~),
 libjsoncpp-dev,
 libtinyxml-dev,
 pkg-config
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-njoy
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-njoy.git
Homepage: https://kodi.tv

Package: kodi-pvr-njoy
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${kodi:PVRAPI}
Multi-Arch: same
Description: NJOY PVR Addon for Kodi
 Njoy Digital is a company that makes "Njoy Digital N7" network attached
 DVB TV tuners for Digital Cable, Terrestrial or Satellite TV
 television broadcasts compatible with XBMC's PVR frontend clients.
 .
 This package contains the NJOY PVR (Personal Video Recorder) Addon for Kodi,
 the award winning free and open source software media-player and entertainment
 hub for all your digital media.

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.njoy/releases \
/kodi-pvr/pvr.njoy/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-pvr-njoy 19.0.1%2Bds1

=== debian/changelog ===
kodi-pvr-njoy (19.0.1+ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:41:12 +0000

kodi-pvr-njoy (19.0.1+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.1+ds1
  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 17:51:07 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon,
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
  cmake,
- kodi-addons-dev (>= 2:19~),
  libjsoncpp-dev,
  libtinyxml-dev,
  pkg-config

## kodi-pvr-njoy 20.2.0+ds1

=== debian/changelog ===
kodi-pvr-njoy (20.2.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.2.0+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:57:13 +0000

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.njoy/releases \
/kodi-pvr/pvr.njoy/archive/refs/tags/?(\d\S*)-Nexus\.tar\.gz

## kodi-pvr-njoy 20.3.0+ds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pvr.njoy)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)
find_package(TinyXML REQUIRED)

include_directories(${TINYXML_INCLUDE_DIR}
                    ${KODI_INCLUDE_DIR}/..) # Hack way with "/..", need bigger Kodi cmake rework to match right include ways

set(NJOY_SOURCES src/N7Xml.cpp)

set(NJOY_HEADERS src/N7Xml.h)

set(DEPLIBS ${TINYXML_LIBRARIES})

build_addon(pvr.njoy NJOY DEPLIBS)

include(CPack)

=== debian/changelog ===
kodi-pvr-njoy (20.3.0+ds1-1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:52:06 +0200

kodi-pvr-njoy (20.3.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.3.0+ds1
  * d/watch: switch to git tags

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:56:37 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: kodi-pvr-njoy
 Priority: optional
 Section: video
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
  cmake,
  libjsoncpp-dev,
  libtinyxml-dev,
  pkg-config
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-njoy
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-njoy.git

=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds1, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.njoy \
refs/tags/@ANY_VERSION@-Nexus \
debian

## kodi-pvr-njoy 21.0.1+ds

=== debian/changelog ===
kodi-pvr-njoy (21.0.1+ds-2) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:13:57 +0000

kodi-pvr-njoy (21.0.1+ds-1) unstable; urgency=medium

  * New upstream version 21.0.1+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 07:57:30 +0000

kodi-pvr-njoy (21.0.0+ds-1) experimental; urgency=medium

  * New upstream version 21.0.0+ds
  * Branch out experimental
  * Modernize package
  * New release 20.2.0+ds1-1
  * Finalize changelog
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 09 Mar 2024 15:10:18 +0000

## kodi-pvr-njoy 21.0.2+ds

=== debian/changelog ===
kodi-pvr-njoy (21.0.2+ds-1) unstable; urgency=high

  * New upstream version 21.0.2+ds
  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:46:06 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: kodi-pvr-njoy
 Priority: optional
 Section: video
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:21~),
  cmake,
  libjsoncpp-dev,
  libtinyxml-dev,
  pkg-config
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-njoy
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-njoy.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-njoy.git -b debian/sid
 Homepage: https://kodi.tv
 
 Package: kodi-pvr-njoy

=== debian/watch ===
version=4

# Release git tags
# Kodi addons are bound to internal Kodi API versions so the version
# initially built for older Kodi suite (like Matrix or Nexus) may run 
# on newer Kodi (like Omega) if corresponding internal API version
# has not been changed.
#
# This flexibility introduces minor inconvenience to Debian package
# builders as uscan(1) typically operates on single suite of upstream
# tags.
#
# To mitigate addon updates not found, it is possible to specify multiple
# allowed codenames in regexp and tweak uversionmangle to strip the
# dot-suitename from the rersulting tarball name
#
# For debian/sid and other non-experimental branches, the list of codenames
# must start with the Kodi suite name the API was ast changed and end with
# a current Kodi suite being packaged, like:
#
# uversionmangle=s/\.(Nexus|Omega)//, \
# refs/tags/@ANY_VERSION@-(Nexus|Omega) \
#
# for Omega.
#
# For debian/experimental, the list of codenames must have only one suite
# matching current master (i.e Piers if Omega is currently shipped in debian/sid)
# This way only package versions targeting kodi-next will land into
# debian/experimental while all earlier compatible versions will be caught by
# debian/sid watchfile.
#

# Release git tags

# TODO: Change allowed Kodi codenames in refs/tags and uversionmangle
# before packaging next Kodi major release!

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      uversionmangle=s/\.(Nexus|Omega)//, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.njoy \
refs/tags/@ANY_VERSION@-(Nexus|Omega) \
debian
